Package org.apache.qpid.proton.codec

# Class UnsignedByteType.UnsignedByteEncoding

java.lang.Object
org.apache.qpid.proton.codec.UnsignedByteType.UnsignedByteEncoding

All Implemented Interfaces:
  `PrimitiveTypeEncoding<UnsignedByte>`, `TypeConstructor<UnsignedByte>`, `TypeEncoding<UnsignedByte>`

Enclosing class:
  `UnsignedByteType`

public class UnsignedByteType.UnsignedByteEncoding extends Object

## Constructor Summary

Constructors
Constructor
Description
`UnsignedByteEncoding(EncoderImpl encoder, DecoderImpl decoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`boolean`
`encodesSuperset(TypeEncoding<UnsignedByte> encoding)`
`int`
`getConstructorSize()`
`protected DecoderImpl`
`getDecoder()`
`protected EncoderImpl`
`getEncoder()`
`byte`
`getEncodingCode()`
`protected int`
`getFixedSize()`
`UnsignedByteType`
`getType()`
`Class<UnsignedByte>`
`getTypeClass()`
`final int`
`getValueSize(UnsignedByte val)`
`final boolean`
`isFixedSizeVal()`
`UnsignedByte`
`readValue()`
`final void`
`skipValue()`
`final void`
`writeConstructor()`
`void`
`writeValue(UnsignedByte val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnsignedByteEncoding

public UnsignedByteEncoding(EncoderImpl encoder, DecoderImpl decoder)

## Method Details

### getFixedSize

protected int getFixedSize()

### getEncodingCode

public byte getEncodingCode()

Specified by:
  `getEncodingCode` in interface `PrimitiveTypeEncoding<UnsignedByte>`

### getType

public UnsignedByteType getType()

### writeValue

public void writeValue(UnsignedByte val)

### encodesSuperset

public boolean encodesSuperset(TypeEncoding<UnsignedByte> encoding)

### readValue

public UnsignedByte readValue()

### isFixedSizeVal

public final boolean isFixedSizeVal()

### getValueSize

public final int getValueSize(UnsignedByte val)

### skipValue

public final void skipValue()

### writeConstructor

public final void writeConstructor()

Specified by:
  `writeConstructor` in interface `PrimitiveTypeEncoding<T>`
Specified by:
  `writeConstructor` in interface `TypeEncoding<T>`

### getConstructorSize

public int getConstructorSize()

Specified by:
  `getConstructorSize` in interface `PrimitiveTypeEncoding<T>`
Specified by:
  `getConstructorSize` in interface `TypeEncoding<T>`

### getEncoder

protected EncoderImpl getEncoder()

### getTypeClass

public Class<UnsignedByte> getTypeClass()

Specified by:
  `getTypeClass` in interface `TypeConstructor<T>`

### getDecoder

protected DecoderImpl getDecoder()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<T>`
Specified by:
  `encodesJavaPrimitive` in interface `TypeEncoding<T>`